Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.ExchangeRequestConfig

Enclosing interface:
  Configuration

    public static interface Configuration.ExchangeRequestConfig

Configuration used for InterAct Client.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`Configuration.AcquireSnFRequestConfig` | `getSnFToAcquire()` Aquires SnF Request Configuration.
`java.lang.String` | `getSw_DeliveryNotif()` Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.
`java.lang.String` | `getSw_ReturnSignatureList()` Gets Sw_ReturnSignatureList.
`java.lang.String` | `getSwInt_NotifQueue()` Gets the delivery notification queue name.
`java.lang.String` | `getSwInt_NRIndicator()` Gets whether SwInt_NRIndicator, non-repudiation support is being used.
`java.lang.String` | `getSwInt_Priority()` Gets the priority.
`java.lang.String` | `getSwInt_RequestCrypto()` Gets SwInt_RequestCrypto.
`java.lang.String` | `getSwInt_Requestor()` Gets the SwInt_Requestor, used to identify the sending party.
`java.lang.String` | `getSwInt_RequestRef()` Gets the request reference.
`java.lang.String` | `getSwInt_RequestType()` Gets the request type.
`java.lang.String` | `getSwInt_Responder()` Gets the SwInt_Responder, used to identify the receiving party.
`java.lang.String` | `getSwInt_Service()` Gets the service.
`java.lang.String` | `getSwSec_UserDN()` Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`java.lang.String` | `getUseSignatureListConfig()` Gets flag UseSignatureListConfig.
`boolean` | `isUseSignatureList()` Checks whether to use SignatureList.
`void` | `setSw_DeliveryNotif(java.lang.String deliveryNotif)` Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.
`void` | `setSwInt_NotifQueue(java.lang.String queue)` Sets the delivery notification queue name.
`void` | `setSwInt_NRIndicator(java.lang.String nrIndicator)` Sets the SwInt_NRIndicator, non-repudiation support.
`void` | `setSwInt_Priority(java.lang.String priority)` Set the priority.
`void` | `setSwInt_RequestCrypto(java.lang.String requestCrypto)` Sets SwInt_RequestCrypto.
`void` | `setSwInt_Requestor(java.lang.String requestor)` Sets the requestor, used to identify the sending party.
`void` | `setSwInt_RequestRef(java.lang.String requestRef)` Set the request reference.
`void` | `setSwInt_RequestType(java.lang.String requestType)` Set the request type.
`void` | `setSwInt_Responder(java.lang.String responder)` Sets the SwInt_Responder, used to identify the receiving party.
`void` | `setSwInt_Service(java.lang.String service)` Set the service.
`void` | `setSwSec_UserDN(java.lang.String userDN)` sets the UserDN, (distinguished name) used to identify and authenticate the sending user.
`void` | `setUseSignatureListConfig(java.lang.String useSignatureListConfig)` Sets flag UseSignatureListConfig.
`void` | `validate()` Validates the ExchangeRequest section.

Method Detail

### getSnFToAcquire

    Configuration.AcquireSnFRequestConfig getSnFToAcquire()
                                                          throws SAGApplicationException

  Aquires SnF Request Configuration.

  Parameters:
    None.

  Returns:
    `AcquireSnFRequestConfig` - Returns AcquireSnF request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSwSec_UserDN

    java.lang.String getSwSec_UserDN()

  Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    None.

  Returns:
    `String` - Returns user DN.
  Throws:
    None.

### getSwInt_Requestor

    java.lang.String getSwInt_Requestor()

  Gets the SwInt_Requestor, used to identify the sending party.

  Parameters:
    None.

  Returns:
    `String` - Returns the requestor.
  Throws:
    None.

### getSwInt_Responder

    java.lang.String getSwInt_Responder()

  Gets the SwInt_Responder, used to identify the receiving party.

  Parameters:
    None.

  Returns:
    `String` - Returns the responder.
  Throws:
    None.

### getSwInt_Service

    java.lang.String getSwInt_Service()

  Gets the service.

  Parameters:
    None.

  Returns:
    `String` - Returns the service.
  Throws:
    None.

### getSwInt_RequestType

    java.lang.String getSwInt_RequestType()

  Gets the request type.

  Parameters:
    None.

  Returns:
    `String` - Returns the request type.
  Throws:
    None.

### getSwInt_RequestRef

    java.lang.String getSwInt_RequestRef()

  Gets the request reference.

  Parameters:
    None.

  Returns:
    `String` - Returns the request reference.
  Throws:
    None.

### getSwInt_Priority

    java.lang.String getSwInt_Priority()

  Gets the priority.
  Parameters:
    None.

  Returns:
    `String` - Returns the priority.
  Throws:
    None.

### getSwInt_RequestCrypto

    java.lang.String getSwInt_RequestCrypto()

  Gets SwInt_RequestCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    None.

  Returns:
    `String` - Returns request encryption.
  Throws:
    None.

### getSw_ReturnSignatureList

    java.lang.String getSw_ReturnSignatureList()

  Gets Sw_ReturnSignatureList.

  Parameters:
    None.

  Returns:
    `String` - Returns Sw_ReturnSignatureList.
  Throws:
    None.

### getUseSignatureListConfig

    java.lang.String getUseSignatureListConfig()

  Gets flag UseSignatureListConfig.

  Parameters:
    None.

  Returns:
    `String` - Returns UseSignatureListConfig.
  Throws:
    None.

### isUseSignatureList

    boolean isUseSignatureList()

  Checks whether to use SignatureList.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getSwInt_NRIndicator

    java.lang.String getSwInt_NRIndicator()

  Gets whether SwInt_NRIndicator, non-repudiation support is being used.

  Parameters:
    None.

  Returns:
    `String` - Returns NR indicator.
  Throws:
    None.

### getSwInt_NotifQueue

    java.lang.String getSwInt_NotifQueue()

  Gets the delivery notification queue name.

  Parameters:
    None.

  Returns:
    `String` - Returns notify queue.
  Throws:
    None.

### getSw_DeliveryNotif

    java.lang.String getSw_DeliveryNotif()

  Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.

  Parameters:
    None.

  Returns:
    `String` - Returns delivery notification.
  Throws:
    None.

### setSwSec_UserDN

    void setSwSec_UserDN(java.lang.String userDN)
                         throws SAGApplicationException

  sets the UserDN, (distinguished name) used to identify and authenticate the sending user.

  Parameters:
    `userDN` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Requestor

    void setSwInt_Requestor(java.lang.String requestor)
                            throws SAGApplicationException

  Sets the requestor, used to identify the sending party.

  .

  Parameters:
    `requestor` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Responder

    void setSwInt_Responder(java.lang.String responder)
                            throws SAGApplicationException

  Sets the SwInt_Responder, used to identify the receiving party.

  Parameters:
    `responder` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Service

    void setSwInt_Service(java.lang.String service)
                          throws SAGApplicationException

  Set the service.

  Parameters:
    `service` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestType

    void setSwInt_RequestType(java.lang.String requestType)
                              throws SAGApplicationException

  Set the request type.

  Parameters:
    `requestType` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestRef

    void setSwInt_RequestRef(java.lang.String requestRef)
                             throws SAGApplicationException

  Set the request reference.

  Parameters:
    `requestRef` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Priority

    void setSwInt_Priority(java.lang.String priority)
                           throws SAGApplicationException

  Set the priority.

  Parameters:
    `priority` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestCrypto

    void setSwInt_RequestCrypto(java.lang.String requestCrypto)
                                throws SAGApplicationException

  Sets SwInt_RequestCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    `requestCrypto` -
  Throws:
    `SAGApplicationException` - upon error.

### setUseSignatureListConfig

    void setUseSignatureListConfig(java.lang.String useSignatureListConfig)
                                   throws SAGApplicationException

  Sets flag UseSignatureListConfig.

  Parameters:
    `useSignatureListconfig` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NRIndicator

    void setSwInt_NRIndicator(java.lang.String nrIndicator)
                              throws SAGApplicationException

  Sets the SwInt_NRIndicator, non-repudiation support.

  Parameters:
    `nrIndicator` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NotifQueue

    void setSwInt_NotifQueue(java.lang.String queue)
                             throws SAGApplicationException

  Sets the delivery notification queue name.

  Parameters:
    `queue` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_DeliveryNotif

    void setSw_DeliveryNotif(java.lang.String deliveryNotif)
                             throws SAGApplicationException

  Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.

  Parameters:
    `deliveryNotif` -
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the ExchangeRequest section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.